%define anolis_release 3

Name:           libmtp
Version:        1.1.19
Release:        %{anolis_release}%{?dist}
Summary:        Software library for MTP media players
URL:            http://libmtp.sourceforge.net/

Source0:        https://github.com/%{name}/%{name}/archive/refs/tags/v%{version}.tar.gz
License:        LGPLv2+
Recommends:     udev
BuildRequires:  libtool
BuildRequires:  gettext-devel
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  pkgconfig(libusb-1.0) >= 1.0.0
BuildRequires:  doxygen
BuildRequires:  libgcrypt-devel
BuildRequires:  chrpath
BuildRequires:  systemd-rpm-macros

Patch0:         0001-doc-Don-t-document-internal-endian-macros.patch

%description
This package provides a software library for communicating with MTP
(Media Transfer Protocol) media players, typically audio players, video
players etc.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package examples
Summary:        Example programs for libmtp
Requires:       %{name} = %{version}-%{release}

%description examples
This package provides example programs for communicating with MTP
devices.

%package devel
Summary:        Development files for libmtp
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides development files for the libmtp
library for MTP media players.

%prep
%autosetup -p1

%build
NOCONFIGURE=yes ./autogen.sh
%configure --disable-static \
           --with-udev-rules=69-libmtp.rules \
            %{nil}
%make_build

%install
%make_install
# Replace links with relative links
rm -f $RPM_BUILD_ROOT%{_bindir}/mtp-delfile
rm -f $RPM_BUILD_ROOT%{_bindir}/mtp-getfile
rm -f $RPM_BUILD_ROOT%{_bindir}/mtp-newfolder
rm -f $RPM_BUILD_ROOT%{_bindir}/mtp-sendfile
rm -f $RPM_BUILD_ROOT%{_bindir}/mtp-sendtr
pushd $RPM_BUILD_ROOT%{_bindir}
ln -sf mtp-connect mtp-delfile
ln -sf mtp-connect mtp-getfile
ln -sf mtp-connect mtp-newfolder
ln -sf mtp-connect mtp-sendfile
ln -sf mtp-connect mtp-sendtr
popd
# Convert COPYING file to UTF-8
iconv -f iso-8859-1 -t utf-8 -o COPYING.utf8 COPYING
touch -r COPYING COPYING.utf8; mv -f COPYING.utf8 COPYING
# Copy documentation to a good place
mkdir -p -m 755 $RPM_BUILD_ROOT%{_datadir}/doc/%{name}
# Move some autogenerated documentation where we want it
if [ $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/html != $RPM_BUILD_ROOT%{_datadir}/doc/%{name}/html ] ; then \
	mv $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/html \
		$RPM_BUILD_ROOT%{_datadir}/doc/%{name} ; \
fi
# Touch generated files to make them always have the same time stamp.
touch -r configure.ac \
      $RPM_BUILD_ROOT%{_includedir}/*.h \
      $RPM_BUILD_ROOT%{_libdir}/pkgconfig/*.pc
# Get rid of -rpath
chrpath --delete $RPM_BUILD_ROOT{%{_bindir},/usr/lib/udev}/mtp*

%generate_compatibility_deps

%files
%license COPYING
%dir %{abidir}
%{_libdir}/libmtp.so.9*
%{abidir}/libmtp.dump
%{_udevrulesdir}/69-libmtp.rules
%{_udevhwdbdir}/69-libmtp.hwdb
/usr/lib/udev/mtp-probe

%files doc
%doc AUTHORS README TODO

%files examples
%{_bindir}/mtp-*
%{abidir}/mtp*-option.list

%files devel
%doc %{_datadir}/doc/libmtp/html
%{_libdir}/libmtp.so
%{_includedir}/libmtp.h
%{_libdir}/pkgconfig/libmtp.pc

%changelog
* Wed May 15 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 1.1.19-3
- Update source url

* Tue Nov  7 2023 Wenlong Zhang<zhangwenlong@loongson.cn> - 1.1.19-2
- fix build error for libmtp

* Tue Mar 28 2023 Funda Wang <fundawang@yeah.net> - 1.1.19-1
- Import package for anolis 23
